Browse Source

Zuul runs tests in py36 only

Python 3.6 is the oldest version of python
supported by the package, and newer, supported,
minor versions do not break any substantial functionality
by design, while introducing new features.

Therefore we do not need to run unit tests for
each minor version. As all possible issues affecting
versions >3.6 would necessarily be related to features
introduced in versions >3.6.

Wallaby Zuul test template was removed from layout.yaml.
The pep8 test environment was folded into linters in tox.ini.
Zuul is now explicitly running tests only in one, oldest supported,
python environment, Python 3.6.

PEP387: https://www.python.org/dev/peps/pep-0387/
https://docs.python.org/3/whatsnew/3.7.html#porting-to-python-37
https://docs.python.org/3/whatsnew/3.8.html#porting-to-python-3-8

Signed-off-by: Jiri Podivin <jpodivin@redhat.com>
Change-Id: If8e31e72b215dcdb0db897b03403e8d28a2545b3
changes/68/785168/1
Jiri Podivin 1 year ago
parent
commit
c5cd9b7c9e
  1. 1
      tox.ini
  2. 3
      zuul.d/layout.yaml

1
tox.ini

@ -93,6 +93,7 @@ deps =
-r {toxinidir}/molecule-requirements.txt
commands =
python '{toxinidir}/tools/validate-files.py' .
{[testenv:pep8]commands}
{[testenv:ansible-lint]commands}
{[testenv:yamllint]commands}
{[testenv:bashate]commands}

3
zuul.d/layout.yaml

@ -2,7 +2,6 @@
- project:
templates:
- tripleo-multinode-container-minimal-pipeline
- openstack-python3-wallaby-jobs
- tripleo-validations-molecule-jobs
- release-notes-jobs-python3
check:
@ -26,12 +25,14 @@
- tripleo-ci-centos-8-content-provider
files:
- ^roles/ceph.*$
- openstack-tox-py36
gate:
jobs:
- openstack-tox-linters
- openstack-tox-docs: *tripleo-docs
- tripleo-ci-centos-8-content-provider
- tripleo-ci-centos-8-scenario004-standalone: *scenario004
- openstack-tox-py36
promote:
jobs:

Loading…
Cancel
Save